EDIT - bug #7454

illegal argument exception for name selection in details view
06/07/2018 10:52 AM - Katja Luther

Status: New Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Reviewed Next Major Release

Severity: normal Found in Version:

Description

mail of WB:

beim Eingeben einer langen Liste von Synonymen tber die Namensauswahl im Detail-View (die Namen stehen auch bei einem
anderen Konzept in der parallelen Klassifikation), kam es beim vorletzten (N. sanderiana) zu folgendem Fehler.

Der Parsereintrag blieb leer, aber die Details wurden angezeigt. Nach Speichern und zu- aufmachen war der Name dann vorhanden.
Herzlichen Gruf3

Walter

PS: Nach weiterarbeiten trat der Fehler schon bei der Namesauswahl selbst auf (ganz unten)

login : w.berendsohn
editor version : 5.0.0
server : api.cybertaxonomy.org (cybertaxonomy.org) / caryo_nepenthaceae
schema version : 5.0.0.0.20180514
os : Windows 10 10.0 amdé64
java : 1.8.0_161
java.lang.IllegalArgumentException: Argument not wvalid

at org.eclipse.swt.SWT.error (SWT. java:4514)

at org.eclipse.swt.SWT.error (SWT. java:4448)

at org.eclipse.swt.SWT.error (SWT. java:4419)

at org.eclipse.swt.widgets.Widget.error (Widget. java:482)

at org.eclipse.swt.widgets.Widget.checkParent (Widget.java:292)

at org.eclipse.swt.widgets.Widget.<init> (Widget. java:158)

at org.eclipse.swt.widgets.Control.<init> (Control.java:110)

at org.eclipse.swt.widgets.Label.<init> (Label.java:102)

at org.eclipse.ui.forms.widgets.FormToolkit.createlLabel (FormToolkit. java:373)

at eu.etaxonomy.taxeditor.ui.element.ToggleableTextElement.<init> (ToggleableTextEl
ement . java:60)

at eu.etaxonomy.taxeditor.ui.element.CdmFormFactory.createToggleableTextField (CdmF
ormFactory. java:1226)

at eu.etaxonomy.taxeditor.ui.section.name.NonViralNameDetailElement.createControls
(NonViralNameDetailElement. java:60)

at eu.etaxonomy.taxeditor.ui.section.name.NonViralNameDetailElement.createControls
(NonViralNameDetailElement. java:1)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement.updateContent (Abstra
ctCdmDetailElement. java:107)

at eu.etaxonomy.taxeditor.ui.section.name.NonViralNameDetailElement .updateContent (
NonViralNameDetailElement.java:119)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement.setEntity (AbstractCd
mDetailElement. java:94)

at eu.etaxonomy.taxeditor.ui.section.name.NonViralNameDetailElement.setEntity (NonV
iralNameDetailElement. java:136)

at eu.etaxonomy.taxeditor.ui.section.name.NonViralNameDetailElement.setEntity (NonV
iralNameDetailElement. java:1l)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection.setEntity (AbstractCd
mDetailSection. java:128)

at eu.etaxonomy.taxeditor.ui.section.name.NonViralNameDetailSection$l.run (NonViral
NameDetailSection. java:77)

at org.eclipse.jface.action.Action.runWithEvent (Action.java:473)

at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection (ActionCon
tributionItem. java:565)
org.eclipse.jface.action.ActionContributionItem.lambda$5 (ActionContributionItem

org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)
org.eclipse.swt.widgets.Display.runDeferredEvents (Display. java:4236)
org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)
org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderin

org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingE

org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. jav

org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
eu.etaxonomy.taxeditor.Application.start (Application. java:24)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196

org.eclipse.core.runtime.internal.adaptor.EclipselAppLauncher.runApplication (Ecl

ipseAppLauncher. java:134)

at
uncher. java:104)
at
at
at
at
at

org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseApplLa

org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter. java:388)
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)
java.lang.reflect.Method.invoke (Unknown Source)
org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
org.eclipse.equinox.launcher.Main.run (Main.java:1519)
at eu.etaxonomy.taxeditor.ui.section.name.NonViralNameDetailElement.setEntity (NonV
iralNameDetailElement. java:l)
at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection.setEntity (AbstractCd
mDetailSection. java:128)
at eu.etaxonomy.taxeditor.uil.section.name.NonViralNameDetailSection$1l.run (NonViral
ed4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. jav

ui.internal.Workbench$5.run (Workbench. java:693)

core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
eu.etaxonomy.taxeditor.Application.start (Application. java:24)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196

core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (Ecl

core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppla

core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
NativeMethodAccessorImpl.invokeO (Native Method)

NativeMethodAccessorImpl.invoke (Unknown Source)

DelegatingMethodAccessorImpl.invoke (Unknown Source)

java.lang.reflect.Method.invoke (Unknown Source)

org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

org.eclipse.equinox.launcher.Main.run (Main.java:1519)

History

#1 - 06/28/2018 09:04 AM - Katja Luther

- Target version changed from Release 5.1 to Release 5.2

#2 - 08/17/2018 03:53 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#3 - 09/06/2018 08:49 PM - Katja Luther

- Target version changed from Release 5.3 to Release 5.4

#4 - 10/23/2018 10:42 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#5 - 02/05/2019 01:50 PM - Katja Luther
this exception is caused by a disposed parent (if (parent.isDisposed ()) error (SWT.ERROR_INVALID_ARGUMENT);) when the details view is

updated.

#6 - 02/19/2019 02:44 PM - Andreas Miller

- Target version changed from Release 5.5 to Release 5.6
#7 - 02/19/2019 03:13 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release
